# cabal2spec-0.25.4
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name augeas

%global common_summary A Haskell %{pkg_name} library

%global common_description The Haskell %{pkg_name} library.  \
This is a set of bindings to the C %{pkg_name} library. \
For documentation of these calls, refer to <http://augeas.net/docs/api.html>.

Name:           ghc-%{pkg_name}
Version:        0.6.1
Release:        3%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        LGPLv3+
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  ghc-HUnit-prof
BuildRequires:  augeas-devel%{?isa}

%description
%{common_description}



%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install

rm -r $RPM_BUILD_ROOT/%{_bindir}
rm -r $RPM_BUILD_ROOT/%{_datadir}/%{pkg_name}-%{version}

# devel subpackage
%ghc_devel_package
BuildRequires: augeas-devel%{?isa}

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE
%doc AUTHORS ChangeLog README THANKS


%changelog
* Tue Jun 26 2012 Jude Nagurney <jude@pwan.org> - 0.6.1-3
- Responding to Bug 656892 comments 18 and 19

* Sun Jun  3 2012 Jude Nagurney <jude@pwan.org> - 0.6.1-2
- Syncing packaging to darcs repo

* Sat Mar  3 2012 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.6.1-1
- spec file template generated by cabal2spec-0.25.4
